Loading...
Searching...
No Matches
VoxToNanoVDB.h File Reference
`#include <nanovdb/util/GridBuilder.h>`
`#include <nanovdb/util/CreateNanoGrid.h>`
`#include "ogt_vox.h"`

Go to the source code of this file.

## Namespaces

namespace | detail

## Macros

#define | OGT_VOX_IMPLEMENTATION
#define | _mat(m, r, c) m[c * 4 + r]
#define | _mat(m, c, r) m[c * 4 + r]

## Functions

const ogt_vox_scene * | load_vox_scene (const char *filename, uint32_t scene_read_flags=0)
nanovdb::Vec4f | matMult4x4 (const float *mat, const nanovdb::Vec4f &rhs)
ogt_vox_transform | matMult4x4 (const float *m, const float *n)
ogt_vox_transform | getXform (const ogt_vox_scene &scene, const ogt_vox_instance &instance)
bool | isVisible (const ogt_vox_scene &scene, const ogt_vox_instance &instance)
template<typename BufferT = nanovdb::HostBuffer>
nanovdb::GridHandle< BufferT > | convertVoxToNanoVDB (const std::string &inFilename, const std::string &modelName)
| load a .vox file.

## Macro Definition Documentation

## _mat [1/2]

#define _mat | ( |  | m,
|  |  | c,
|  |  | r
| ) |  | m[c * 4 + r]

## _mat [2/2]

#define _mat | ( |  | m,
|  |  | r,
|  |  | c
| ) |  | m[c * 4 + r]

## OGT_VOX_IMPLEMENTATION

#define OGT_VOX_IMPLEMENTATION

## Function Documentation

## convertVoxToNanoVDB()

template<typename BufferT = nanovdb::HostBuffer>

nanovdb::GridHandle< BufferT > convertVoxToNanoVDB | ( | const std::string & | inFilename,
|  | const std::string & | modelName
| ) |  |

load a .vox file.